Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041390
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-18 06:542019-08-22 14:45
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionc597d48cb07c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041390: Apply HQL style guide to TransactionsDao

DescriptionApply HQL style guide to TransactionsDao
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00412343.0PR19Q4 closedcollazoandy4 TransactionsDao.getCurrentlyClearedAmt is not using bind-param 

-  Notes
(0113516)
collazoandy4 (developer)
2019-07-18 13:49

Test Plan
  Create a new Sales Invoice with 'Al contado' payment method and complete it and add a payment to it
  Go to Financial Account window and select Caja record
    Create a new Funds Transfer with the payment amount
    Select the transaccion created by the invoice and clic on Reconcile
      Select the two records and clic on Reconcilie
    Check the process ends with out errors
(0113784)
hgbot (developer)
2019-08-02 14:20

Repository: erp/devel/pi
Changeset: c597d48cb07c66c10d913cdc43d4ba871d82d27b
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 17 23:48:45 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/c597d48cb07c66c10d913cdc43d4ba871d82d27b [^]

Fixes issue 41390: Apply HQL style guide to TransactionsDao

Applied the new HQL format

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
---
(0113786)
hgbot (developer)
2019-08-02 14:20

Repository: erp/devel/pi
Changeset: 2b63a20c27d70fd1cb2e31b531fc31bfd09a0e36
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Aug 02 14:17:58 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2b63a20c27d70fd1cb2e31b531fc31bfd09a0e36 [^]

related to issue 41390 not necessary toString()

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
---
(0113788)
Sandrahuguet (developer)
2019-08-02 14:21

code review + testing ok
(0114198)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114200)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-18 06:54 collazoandy4 New Issue
2019-07-18 06:54 collazoandy4 Assigned To => collazoandy4
2019-07-18 06:54 collazoandy4 Modules => Core
2019-07-18 06:54 collazoandy4 Triggers an Emergency Pack => No
2019-07-18 06:54 collazoandy4 Status new => scheduled
2019-07-18 13:49 collazoandy4 Relationship added related to 0041287
2019-07-18 13:49 collazoandy4 Note Added: 0113516
2019-08-02 14:19 Sandrahuguet Relationship added related to 0041234
2019-08-02 14:20 hgbot Checkin
2019-08-02 14:20 hgbot Note Added: 0113784
2019-08-02 14:20 hgbot Status scheduled => resolved
2019-08-02 14:20 hgbot Resolution open => fixed
2019-08-02 14:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c597d48cb07c66c10d913cdc43d4ba871d82d27b [^]
2019-08-02 14:20 hgbot Checkin
2019-08-02 14:20 hgbot Note Added: 0113786
2019-08-02 14:21 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-02 14:21 Sandrahuguet Note Added: 0113788
2019-08-02 14:21 Sandrahuguet Status resolved => closed
2019-08-02 14:21 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114198
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114200


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker